package gov.va.med.cds.audit.persistence;

import gov.va.med.cds.audit.TemplateIdWrapper;

public class PathwaysAuditClobStore implements java.io.Serializable {

	private String facilityId;
	private String requestId;
	private String hl7Clob;
	private String messageDateTime;
	private String messageType;
	private String clientIdentifier;
	private TemplateIdWrapper templateId = new TemplateIdWrapper();
	private String clientRequestInitiationTime;

	public PathwaysAuditClobStore(String requestId, String facilityId, String hl7Clob, String messageDateTime,
			String messageType, String aTemplateId, String clientIdentifier, String clientRequestTm) {
		this.facilityId = facilityId;
		this.requestId = requestId;
		this.hl7Clob = hl7Clob;
		this.messageDateTime = messageDateTime;
		this.messageType = messageType;
		this.clientIdentifier = clientIdentifier;
		this.clientRequestInitiationTime = clientRequestTm;

		setTemplateId(aTemplateId);
	}

	public String getTemplateId() {
		return templateId.getTemplateId();
	}

	public void setTemplateId(String templateId) {
		this.templateId.setTemplateId(templateId);
	}

	public TemplateIdWrapper getTemplateIdWrapper() {
		return templateId;
	}

	public void setTemplateIdWrapper(TemplateIdWrapper aTemplateIdWrapper) {
		templateId = aTemplateIdWrapper;
	}

	public String getFacilityId() {
		return this.facilityId;
	}

	public void setFacilityId(String facilityId) {
		this.facilityId = facilityId;
	}

	public String getRequestId() {
		return this.requestId;
	}

	public void setRequestId(String requestId) {
		this.requestId = requestId;
	}

	public String getHl7Clob() {
		return this.hl7Clob;
	}

	public void setHl7Clob(String hl7Clob) {
		this.hl7Clob = hl7Clob;
	}

	public String getMessageDateTime() {
		return this.messageDateTime;
	}

	public void setMessageDateTime(String messageDateTime) {
		this.messageDateTime = messageDateTime;
	}

	public String getMessageType() {
		return this.messageType;
	}

	public void setMessageType(String messageType) {
		this.messageType = messageType;
	}

	public String getClientIdentifier() {
		return this.clientIdentifier;
	}

	public void setClientIdentifier(String clientIdentifier) {
		this.clientIdentifier = clientIdentifier;
	}

	public String getClientRequestInitiationTime() {
		return this.clientRequestInitiationTime;
	}

	public void setClientRequestInitiationTime(String clientRequestTm) {
		this.clientRequestInitiationTime = clientRequestTm;
	}

}
